# Class WorkerImpl

java.lang.Object
org.apache.jmeter.monitor.model.WorkerImpl

All Implemented Interfaces:
  `Worker`

public class WorkerImpl extends Object implements Worker

## Constructor Summary

Constructors
Constructor
Description
`WorkerImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCurrentQueryString()`
`String`
`getCurrentUri()`
`String`
`getMethod()`
`String`
`getProtocol()`
`String`
`getRemoteAddr()`
`long`
`getRequestBytesReceived()`
`long`
`getRequestBytesSent()`
`int`
`getRequestProcessingTime()`
`String`
`getStage()`
`String`
`getVirtualHost()`
`void`
`setCurrentQueryString(String value)`
`void`
`setCurrentUri(String value)`
`void`
`setMethod(String value)`
`void`
`setProtocol(String value)`
`void`
`setRemoteAddr(String value)`
`void`
`setRequestBytesReceived(long value)`
`void`
`setRequestBytesSent(long value)`
`void`
`setRequestProcessingTime(int value)`
`void`
`setStage(String value)`
`void`
`setVirtualHost(String value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkerImpl

public WorkerImpl()

## Method Details

### getRequestProcessingTime

public int getRequestProcessingTime()

Specified by:
  `getRequestProcessingTime` in interface `Worker`

### setRequestProcessingTime

public void setRequestProcessingTime(int value)

Specified by:
  `setRequestProcessingTime` in interface `Worker`

### getRequestBytesSent

public long getRequestBytesSent()

Specified by:
  `getRequestBytesSent` in interface `Worker`

### setRequestBytesSent

public void setRequestBytesSent(long value)

Specified by:
  `setRequestBytesSent` in interface `Worker`

### getCurrentQueryString

public String getCurrentQueryString()

Specified by:
  `getCurrentQueryString` in interface `Worker`

### setCurrentQueryString

public void setCurrentQueryString(String value)

Specified by:
  `setCurrentQueryString` in interface `Worker`

### getRemoteAddr

public String getRemoteAddr()

Specified by:
  `getRemoteAddr` in interface `Worker`

### setRemoteAddr

public void setRemoteAddr(String value)

Specified by:
  `setRemoteAddr` in interface `Worker`

### getCurrentUri

public String getCurrentUri()

Specified by:
  `getCurrentUri` in interface `Worker`

### setCurrentUri

public void setCurrentUri(String value)

Specified by:
  `setCurrentUri` in interface `Worker`

### getStage

public String getStage()

Specified by:
  `getStage` in interface `Worker`

### setStage

public void setStage(String value)

Specified by:
  `setStage` in interface `Worker`

### getVirtualHost

public String getVirtualHost()

Specified by:
  `getVirtualHost` in interface `Worker`

### setVirtualHost

public void setVirtualHost(String value)

Specified by:
  `setVirtualHost` in interface `Worker`

### getProtocol

public String getProtocol()

Specified by:
  `getProtocol` in interface `Worker`

### setProtocol

public void setProtocol(String value)

Specified by:
  `setProtocol` in interface `Worker`

### getRequestBytesReceived

public long getRequestBytesReceived()

Specified by:
  `getRequestBytesReceived` in interface `Worker`

### setRequestBytesReceived

public void setRequestBytesReceived(long value)

Specified by:
  `setRequestBytesReceived` in interface `Worker`

### getMethod

public String getMethod()

Specified by:
  `getMethod` in interface `Worker`

### setMethod

public void setMethod(String value)

Specified by:
  `setMethod` in interface `Worker`